Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Interface JParameter

All Superinterfaces:
  HasAnnotations, HasMetaData

    public interface JParameter

extends HasAnnotations, HasMetaData

Represents a parameter in a declaration.

Method Summary
`JAbstractMethod` | `getEnclosingMethod()`
`java.lang.String` | `getName()`
`JType` | `getType()`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getEnclosingMethod

    JAbstractMethod getEnclosingMethod()

### getName

    java.lang.String getName()

### getType

    JType getType()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD